unit UnitMeasuringCup03;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls,printers, Spin, Grids, MeasuringCup;

type
  TFormMeasuringCup03 = class(TForm)
    PrinterSetupDialog1: TPrinterSetupDialog;
    PrintDialog1: TPrintDialog;
    LabelMondai: TLabel;
    LabelHyoudai1: TLabel;
    LabelGappiNamae: TLabel;
    LabelHurigana: TLabel;
    LabelAnswer1: TLabel;
    LabelAnswer2: TLabel;
    LabelAnswer3: TLabel;
    LabelAnswer4: TLabel;
    LabelAnswer5: TLabel;
    LabelAnswer6: TLabel;
    LabelProjectName: TLabel;
    ListBoxCapacity: TListBox;
    MeasuringCup1: TMeasuringCup;
    MeasuringCup2: TMeasuringCup;
    MeasuringCup3: TMeasuringCup;
    MeasuringCup4: TMeasuringCup;
    MeasuringCup5: TMeasuringCup;
    MeasuringCup6: TMeasuringCup;
    PanelButtons: TPanel;
    ButtonPrinterSetup: TButton;
    ButtonPrintOut: TButton;
    ButtonNew: TButton;
    ButtonStart: TButton;
    GroupBoxStart: TGroupBox;
    ButtonRadioGroupStartClose: TButton;
    GroupBoxRandom: TGroupBox;
    GroupBoxRange: TGroupBox;
    LabelRange: TLabel;
    SpinEditMin: TSpinEdit;
    SpinEditMax: TSpinEdit;
    GroupBoxInterval: TGroupBox;
    RadioButtonDivision1cc: TRadioButton;
    RadioButtonDivision2cc: TRadioButton;
    RadioButtonDivision5cc: TRadioButton;
    RadioButtonDivision10cc: TRadioButton;
    RadioButtonDivision20cc: TRadioButton;
    RadioButtonDivision50cc: TRadioButton;
    RadioButtonDivision100cc: TRadioButton;
    RadioGroupUnit: TRadioGroup;
    GroupBox1: TGroupBox;
    RadioGroupCapacity: TRadioGroup;
    RadioGroupSparselyDensely: TRadioGroup;
    StringGrid1: TStringGrid;

    procedure FormCreate(Sender: TObject);
    procedure ButtonPrintOutClick(Sender: TObject);
    procedure ButtonPrinterSetupClick(Sender: TObject);
    procedure ButtonRadioGroupStartCloseClick(Sender: TObject);
    procedure ButtonStartClick(Sender: TObject);
    procedure RadioGroupUnitClick(Sender: TObject);
    procedure RadioGroupCapacityClick(Sender: TObject);
    procedure RadioGroupSparselyDenselyClick(Sender: TObject);
    procedure SpinEditMaxChange(Sender: TObject);
    procedure SpinEditMinChange(Sender: TObject);
    procedure RadioButtonDivision1ccClick(Sender: TObject);
    procedure RadioButtonDivision2ccClick(Sender: TObject);
    procedure RadioButtonDivision5ccClick(Sender: TObject);
    procedure RadioButtonDivision10ccClick(Sender: TObject);
    procedure RadioButtonDivision20ccClick(Sender: TObject);
    procedure RadioButtonDivision50ccClick(Sender: TObject);
    procedure RadioButtonDivision100ccClick(Sender: TObject);
    procedure New(Sender: TObject);
    procedure ReDisplay(Sender: TObject);
  private
    { Private 錾 }
    procedure RansuuHassei;
  public
    { Public 錾 }
  end;

var
  FormMeasuringCup03: TFormMeasuringCup03;

var
  BmpFileName:string;          //BmpC[Wt@C
  Kankaku1000_1:integer;         // 1000~D1ƂXW̍
  Kankaku1000_2:integer;         // 1000~DЂƂ܂Ƃ܂育ƂXW̍
  Kankaku500_1:integer;          //  500~1ƂXW̍
  Kankaku500_2:integer;          //@500~ʂЂƂ܂Ƃ܂育ƂXW̍
  Kankaku100_1:integer;        //100~1ƂXW̍
  Kankaku100_2:integer;        //100~ʂЂƂ܂Ƃ܂育ƂXW̍
  Kankaku50_1:integer;         // 50~1ƂXW̍
  Kankaku50_2:integer;         // 50~ʂЂƂ܂Ƃ܂育ƂXW̍
  Kankaku10_1:integer;         // 10~1ƂXW̍
  Kankaku10_2:integer;         // 10~ʂЂƂ܂Ƃ܂育ƂXW̍
  Kankaku5_1:integer;          //  5~1ƂXW̍
  Kankaku5_2:integer;          //@5~ʂЂƂ܂Ƃ܂育ƂXW̍
  Kankaku1_1:integer;          //  1~1ƂXW̍
  Kankaku1_2:integer;          //  1~ʂЂƂ܂Ƃ܂育ƂXW̍
  matomari1000:integer;          // 1000~DЂƂ܂Ƃ܂̖
  matomari500:integer;           //  500~DЂƂ܂Ƃ܂̖
  matomari100:integer;         //100~ʂЂƂ܂Ƃ܂̖
  matomari50:integer;          // 50~ʂЂƂ܂Ƃ܂̖
  matomari10:integer;          // 10~ʂЂƂ܂Ƃ܂̖
  matomari5:integer;           //  5~ʂЂƂ܂Ƃ܂̖
  matomari1:integer;           //  1~ʂЂƂ܂Ƃ܂̖
  count:integer;//ImageR|[lg̐
implementation

{$R *.DFM}

var division: integer;//
    sCapacity:string;//LabelHyoudaip
    sDivision: string;//LabelHyoudaip
    sSparselyDensely: string;//LabelHyoudaip
    sPer200: string;//LabelHyoudaip
    sUnit: string;//LabelHyoudaip
    sShow: String;//LabelHyoudaip
    
procedure TFormMeasuringCup03.RansuuHassei;
var i,c,n: integer;
begin
  c:=SpinEditMin.Value;
  ListBoxCapacity.Clear;
  repeat
    ListBoxCapacity.Items.Add(inttostr(c));
    c:=c+division;
  until c> SpinEditMax.Value;

  randomize;
  for i:=1 to 6 do
  begin
    n:=random(ListBoxCapacity.items.count);
    StringGrid1.Cells[i,1]:=ListBoxCapacity.Items[n];
    ListBoxCapacity.Items.Delete(n);
  end;

  MeasuringCup1.Value:= strtoint(stringgrid1.Cells[1,1]);
  MeasuringCup2.Value:= strtoint(stringgrid1.Cells[2,1]);
  MeasuringCup3.Value:= strtoint(stringgrid1.Cells[3,1]);
  MeasuringCup4.Value:= strtoint(stringgrid1.Cells[4,1]);
  MeasuringCup5.Value:= strtoint(stringgrid1.Cells[5,1]);
  MeasuringCup6.Value:= strtoint(stringgrid1.Cells[6,1]);
end;

procedure TFormMeasuringCup03.FormCreate(Sender: TObject);
var c: integer;//XgOObh̗
begin
  LabelProjectName.Caption:='MeasuringCup03Beaker';

  division:=10;//
  RadioGroupCapacity.ItemIndex:=1;
  RadioGroupSparselyDensely.ItemIndex:=1;
  RadioGroupUnit.ItemIndex:=2;
  Stringgrid1.EditorMode:= true;
  StringGrid1.ColWidths[0]:= 36;
  for c:=1 to 4 do stringgrid1.Cells[c,0]:=inttostr(c);
  Stringgrid1.Cells[0, 0]:='';
  StringGrid1.Cells[1, 0]:='1';
  StringGrid1.Cells[2, 0]:='2';
  StringGrid1.Cells[3, 0]:='3';
  StringGrid1.Cells[4, 0]:='4';
  StringGrid1.Cells[5, 0]:='5';
  StringGrid1.Cells[6, 0]:='6';
  StringGrid1.Cells[0, 1]:='e';


  //l
  ransuuHassei;

  ButtonStart.Hide;
  Stringgrid1.Hide;
  ListBoxCapacity.hide;
  Color:= clWhite;
  BorderStyle:= bsSizeable;
  PrintScale:= poPrintToFit;
  Scaled:= True;

  new(Sender);
end;

procedure TFormMeasuringCup03.ButtonPrinterSetupClick(Sender: TObject);
begin
  PrinterSetupDialog1.Execute;
end;

procedure TFormMeasuringCup03.ButtonPrintOutClick(Sender: TObject);
begin
  PanelButtons.hide;
  GroupBoxStart.hide;

  printer.Orientation:= poLandscape;//v^ZbgAbv_CAOʂAڂɉuɐݒ

  Printer.Title:=self.Text;
  Self.Print;

  GroupBoxStart.show;
  PanelButtons.Show;
end;

procedure TFormMeasuringCup03.ReDisplay(Sender: TObject);
begin
  LabelHyoudai1.Caption:= sCapacity
                        + sSparselyDensely
                        + sPer200+sDivision
                        +'͈:'+ inttostr(SpinEditMin.value)+'cc ` '+ inttostr(SpinEditMax.value)+'cc, '+sShow+sUnit;
end;

procedure TFormMeasuringCup03.ButtonRadioGroupStartCloseClick(Sender: TObject);
begin
  ButtonRadioGroupStartClose.hide;
  GroupBoxStart.Hide;
  ButtonStart.Show;
end;

procedure TFormMeasuringCup03.ButtonStartClick(Sender: TObject);
begin
  if GroupBoxStart.visible=false then
  begin
    ButtonStart.Hide;
    ButtonRadioGroupStartClose.show;
    GroupBoxStart.Show;
    ButtonRadioGroupStartClose.Show;
  end;
end;

procedure TFormMeasuringCup03.RadioGroupUnitClick(Sender: TObject);
begin
  case RadioGroupUnit.ItemIndex of
  0:begin
      MeasuringCup1.TypeUnitKind:=ukSign;
      MeasuringCup2.TypeUnitKind:=ukSign;
      MeasuringCup3.TypeUnitKind:=ukSign;
      MeasuringCup4.TypeUnitKind:=ukSign;
      MeasuringCup5.TypeUnitKind:=ukSign;
      MeasuringCup6.TypeUnitKind:=ukSign;
      LabelAnswer1.Caption:='@     @        cc';
      LabelAnswer2.Caption:='@     @        cc';
      LabelAnswer3.Caption:='@     @        cc';
      LabelAnswer4.Caption:='@     @        cc';
      LabelAnswer5.Caption:='@     @        cc';
      LabelAnswer6.Caption:='@     @        cc';
      sUnit:='P:cc';
    end;
  1:begin
      MeasuringCup1.TypeUnitKind:=ukJapanese;
      MeasuringCup2.TypeUnitKind:=ukJapanese;
      MeasuringCup3.TypeUnitKind:=ukJapanese;
      MeasuringCup4.TypeUnitKind:=ukJapanese;
      MeasuringCup5.TypeUnitKind:=ukJapanese;
      MeasuringCup6.TypeUnitKind:=ukJapanese;
      LabelAnswer1.Caption:='       ~bg';
      LabelAnswer2.Caption:='@     ~bg';
      LabelAnswer3.Caption:='@     ~bg';
      LabelAnswer4.Caption:='@     ~bg';
      LabelAnswer5.Caption:='@     ~bg';
      LabelAnswer6.Caption:='@     ~bg';
      sUnit:='P:~bg';
    end;
  end;
  redisplay(sender);
end;

procedure TFormMeasuringCup03.RadioGroupCapacityClick(Sender: TObject);
begin
  case RadioGroupCapacity.ItemIndex of
    0:begin
        MeasuringCup1.TypeBeakerCapacity:= bc0100;
        MeasuringCup2.TypeBeakerCapacity:= bc0100;
        MeasuringCup3.TypeBeakerCapacity:= bc0100;
        MeasuringCup4.TypeBeakerCapacity:= bc0100;
        MeasuringCup5.TypeBeakerCapacity:= bc0100;
        MeasuringCup6.TypeBeakerCapacity:= bc0100;
        SpinEditMax.MaxValue:=100;
        SpinEditMax.MinValue:=0;
        SpinEditMax.Value:=100;
        SPinEditMin.MaxValue:=100;
        SpinEditMin.MinValue:=0;
        RadioButtonDivision1cc.Enabled:=true;
        RadioButtonDivision2cc.Enabled:=true;
        RadioButtonDivision5cc.Enabled:=true;
        RadioButtonDivision10cc.Enabled:=true;
        RadioButtonDivision20cc.Enabled:=false;
        RadioButtonDivision50cc.Enabled:=false;
        RadioButtonDivision100cc.Enabled:=false;
        RadioButtonDivision10cc.Checked:=true;
        RadioGroupSparselyDensely.ItemIndex:=1;
        sCapacity:='e:100cc, '
      end;
    1:begin
        MeasuringCup1.TypeBeakerCapacity:= bc0200;
        MeasuringCup2.TypeBeakerCapacity:= bc0200;
        MeasuringCup3.TypeBeakerCapacity:= bc0200;
        MeasuringCup4.TypeBeakerCapacity:= bc0200;
        MeasuringCup5.TypeBeakerCapacity:= bc0200;
        MeasuringCup6.TypeBeakerCapacity:= bc0200;
        SpinEditMax.MaxValue:=200;
        SpinEditMax.MinValue:=0;
        SpinEditMax.Value:=200;
        SPinEditMin.MaxValue:=200;
        SpinEditMin.MinValue:=0;
        RadioButtonDivision1cc.Enabled:=true;
        RadioButtonDivision2cc.Enabled:=true;
        RadioButtonDivision5cc.Enabled:=true;
        RadioButtonDivision10cc.Enabled:=true;
        RadioButtonDivision20cc.Enabled:=true;
        RadioButtonDivision50cc.Enabled:=false;
        RadioButtonDivision100cc.Enabled:=false;
        RadioButtonDivision10cc.Checked:=true;
        RadioButtonDivision20cc.Checked:=true;
        RadioGroupSparselyDensely.ItemIndex:=1;
        sCapacity:='e:200cc, '
      end;
    2:begin
        MeasuringCup1.TypeBeakerCapacity:= bc0500;
        MeasuringCup2.TypeBeakerCapacity:= bc0500;
        MeasuringCup3.TypeBeakerCapacity:= bc0500;
        MeasuringCup4.TypeBeakerCapacity:= bc0500;
        MeasuringCup5.TypeBeakerCapacity:= bc0500;
        MeasuringCup6.TypeBeakerCapacity:= bc0500;
        SpinEditMax.MaxValue:=500;
        SpinEditMax.MinValue:=0;
        SpinEditMax.Value:=500;
        SPinEditMin.MaxValue:=500;
        SpinEditMin.MinValue:=0;
        RadioButtonDivision1cc.Enabled:=true;
        RadioButtonDivision2cc.Enabled:=true;
        RadioButtonDivision5cc.Enabled:=true;
        RadioButtonDivision10cc.Enabled:=true;
        RadioButtonDivision20cc.Enabled:=true;
        RadioButtonDivision50cc.Enabled:=true;
        RadioButtonDivision100cc.Enabled:=false;
        RadioButtonDivision10cc.Checked:=true;
        RadioButtonDivision50cc.Checked:=true;
        RadioGroupSparselyDensely.ItemIndex:=1;
        sCapacity:='e:500cc, '
      end;
    3:begin
        MeasuringCup1.TypeBeakerCapacity:= bc1000;
        MeasuringCup2.TypeBeakerCapacity:= bc1000;
        MeasuringCup3.TypeBeakerCapacity:= bc1000;
        MeasuringCup4.TypeBeakerCapacity:= bc1000;
        MeasuringCup5.TypeBeakerCapacity:= bc1000;
        MeasuringCup6.TypeBeakerCapacity:= bc1000;
        SpinEditMax.MaxValue:=1000;
        SpinEditMax.MinValue:=0;
        SpinEditMax.Value:=1000;
        SPinEditMin.MaxValue:=1000;
        SpinEditMin.MinValue:=0;
        RadioButtonDivision1cc.Enabled:=true;
        RadioButtonDivision2cc.Enabled:=true;
        RadioButtonDivision5cc.Enabled:=true;
        RadioButtonDivision10cc.Enabled:=true;
        RadioButtonDivision20cc.Enabled:=true;
        RadioButtonDivision50cc.Enabled:=true;
        RadioButtonDivision100cc.Enabled:=true;
        RadioButtonDivision10cc.Checked:=true;
        RadioButtonDivision100cc.Checked:=true;
        RadioGroupSparselyDensely.ItemIndex:=1;
        sCapacity:='e:1000cc, '
      end;
  end;
  redisplay(sender);
  New(sender);
end;


procedure TFormMeasuringCup03.RadioGroupSparselyDenselyClick(Sender: TObject);
begin
  case RadioGroupSparselyDensely.ItemIndex of
    0:begin
        MeasuringCup1.TypeScaleCount:=scFew;
        MeasuringCup2.TypeScaleCount:=scFew;
        MeasuringCup3.TypeScaleCount:=scFew;
        MeasuringCup4.TypeScaleCount:=scFew;
        MeasuringCup5.TypeScaleCount:=scFew;
        MeasuringCup6.TypeScaleCount:=scFew;
        sSparselyDensely:='ڐ̊Ԋu:a, '
      end;
    1:begin
        MeasuringCup1.TypeScaleCount:=scMedium;
        MeasuringCup2.TypeScaleCount:=scMedium;
        MeasuringCup3.TypeScaleCount:=scMedium;
        MeasuringCup4.TypeScaleCount:=scMedium;
        MeasuringCup5.TypeScaleCount:=scMedium;
        MeasuringCup6.TypeScaleCount:=scMedium;
        sSparselyDensely:='ڐ̊Ԋu:, '
      end;
    2:begin
        MeasuringCup1.TypeScaleCount:=scLot;
        MeasuringCup2.TypeScaleCount:=scLot;
        MeasuringCup3.TypeScaleCount:=scLot;
        MeasuringCup4.TypeScaleCount:=scLot;
        MeasuringCup5.TypeScaleCount:=scLot;
        MeasuringCup6.TypeScaleCount:=scLot;
        sSparselyDensely:='ڐ̊Ԋu:, '
      end;
  end;
  redisplay(sender);
end;

procedure TFormMeasuringCup03.SpinEditMaxChange(Sender: TObject);
begin
  if SpinEditMax.Value> SpinEditMax.MaxValue then SpinEditMax.Value:=SpinEditMax.MaxValue;
  if ((SpinEditMax.Value- SpinEditMin.Value) /Division)< 5 then
  begin
    SpinEditMax.Value:= SpinEditMax.Value+Division;
  end;
  redisplay(sender);
//  New(sender);
end;

procedure TFormMeasuringCup03.SpinEditMinChange(Sender: TObject);
begin
  if SpinEditMin.Value> SpinEditMin.MaxValue then SpinEditMin.Value:=SpinEditMin.MaxValue;
  if (SpinEditMax.Value- SpinEditMin.Value) /Division< 5 then
  begin
    SpinEditMin.Value:= SpinEditMin.Value-Division;
  end;
  redisplay(sender);
//  New(sender);
end;

procedure TFormMeasuringCup03.RadioButtonDivision1ccClick(Sender: TObject);
begin
 if RadioButtonDivision1cc.Checked= true then
 begin
//   RadioButtonDivision1cc.Checked:= true;
   RadioButtonDivision2cc.Checked:= false;
   RadioButtonDivision5cc.Checked:= false;
   RadioButtonDivision10cc.Checked:= false;
   RadioButtonDivision20cc.Checked:= false;
   RadioButtonDivision50cc.Checked:= false;
   RadioButtonDivision100cc.Checked:= false;
   division:= 1;
   sdivision:=':1cc';
   SpinEditMin.Value:= SpinEditMin.Value div division *division;
   SpinEditMax.Value:= SpinEditMax.Value div division *division;
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
  end;
  redisplay(sender);
  New(sender);
end;

procedure TFormMeasuringCup03.RadioButtonDivision2ccClick(Sender: TObject);
begin
 if RadioButtonDivision2cc.Checked= true then
 begin
   RadioButtonDivision1cc.Checked:= false;
//   RadioButtonDivision2cc.Checked:= true;
   RadioButtonDivision5cc.Checked:= false;
   RadioButtonDivision10cc.Checked:= false;
   RadioButtonDivision20cc.Checked:= false;
   RadioButtonDivision50cc.Checked:= false;
   RadioButtonDivision100cc.Checked:= false;
   division:= 2;
   sdivision:=':2cc';
   SpinEditMin.Value:= SpinEditMin.Value div division *division;
   SpinEditMax.Value:= SpinEditMax.Value div division *division;
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   if SpinEditmin.value=0 then SpinEditMin.Value:=division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
  end;
  redisplay(sender);
  New(sender);
end;

procedure TFormMeasuringCup03.RadioButtonDivision5ccClick(Sender: TObject);
begin
 if RadioButtonDivision5cc.Checked= true then
 begin
   RadioButtonDivision1cc.Checked:= false;
   RadioButtonDivision2cc.Checked:= false;
//   RadioButtonDivision5cc.Checked:= true;
   RadioButtonDivision10cc.Checked:= false;
   RadioButtonDivision20cc.Checked:= false;
   RadioButtonDivision50cc.Checked:= false;
   RadioButtonDivision100cc.Checked:= false;
   division:= 5;
   sdivision:=':5cc';
   SpinEditMin.Value:= SpinEditMin.Value div division *division;
   SpinEditMax.Value:= SpinEditMax.Value div division *division;
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   if SpinEditmin.value=0 then SpinEditMin.Value:=division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
  end;
  redisplay(sender);
  New(sender);
end;

procedure TFormMeasuringCup03.RadioButtonDivision10ccClick(
  Sender: TObject);
begin
 if RadioButtonDivision10cc.Checked= true then
 begin
   RadioButtonDivision1cc.Checked:= false;
   RadioButtonDivision2cc.Checked:= false;
   RadioButtonDivision5cc.Checked:= false;
//   RadioButtonDivision10cc.Checked:= true;
   RadioButtonDivision20cc.Checked:= false;
   RadioButtonDivision50cc.Checked:= false;
   RadioButtonDivision100cc.Checked:= false;
   division:= 10;
   sdivision:=':10cc';
   SpinEditMin.Value:= SpinEditMin.Value div division *division;
   SpinEditMax.Value:= SpinEditMax.Value div division *division;
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   if SpinEditmin.value=0 then SpinEditMin.Value:=division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
  end;
  redisplay(sender);
  New(sender);
end;

procedure TFormMeasuringCup03.RadioButtonDivision20ccClick(
  Sender: TObject);
begin
 if RadioButtonDivision20cc.Checked= true then
 begin
   RadioButtonDivision1cc.Checked:= false;
   RadioButtonDivision2cc.Checked:= false;
   RadioButtonDivision5cc.Checked:= false;
   RadioButtonDivision10cc.Checked:= false;
//   RadioButtonDivision20cc.Checked:= true;
   RadioButtonDivision50cc.Checked:= false;
   RadioButtonDivision100cc.Checked:= false;
   division:= 20;
   sdivision:=':20cc';
   SpinEditMin.Value:= SpinEditMin.Value div division *division;
   SpinEditMax.Value:= SpinEditMax.Value div division *division;
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   if SpinEditmin.value=0 then SpinEditMin.Value:=division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
  end;
  redisplay(sender);
  New(sender);
end;

procedure TFormMeasuringCup03.RadioButtonDivision50ccClick(
  Sender: TObject);
begin
 if RadioButtonDivision50cc.Checked= true then
 begin
   RadioButtonDivision1cc.Checked:= false;
   RadioButtonDivision2cc.Checked:= false;
   RadioButtonDivision5cc.Checked:= false;
   RadioButtonDivision10cc.Checked:= false;
   RadioButtonDivision20cc.Checked:= false;
//   RadioButtonDivision50cc.Checked:= true;
   RadioButtonDivision100cc.Checked:= false;
   division:= 50;
   sdivision:=':50cc';
   SpinEditMin.Value:= SpinEditMin.Value div division *division;
   SpinEditMax.Value:= SpinEditMax.Value div division *division;
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   if SpinEditmin.value=0 then SpinEditMin.Value:=division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
  end;
  redisplay(sender);
  New(sender);
end;

procedure TFormMeasuringCup03.RadioButtonDivision100ccClick(
  Sender: TObject);
begin
 if RadioButtonDivision100cc.Checked= true then
 begin
   RadioButtonDivision1cc.Checked:= false;
   RadioButtonDivision2cc.Checked:= false;
   RadioButtonDivision5cc.Checked:= false;
   RadioButtonDivision10cc.Checked:= false;
   RadioButtonDivision20cc.Checked:= false;
   RadioButtonDivision50cc.Checked:= false;
//   RadioButtonDivision100cc.Checked:= true;
   division:= 100;
   sdivision:=':100cc';
   SpinEditMin.Value:= SpinEditMin.Value div division *division;
   SpinEditMax.Value:= SpinEditMax.Value div division *division;
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   if SpinEditmin.value=0 then SpinEditMin.Value:=division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
  end;
  redisplay(sender);
  New(sender);
end;

procedure TFormMeasuringCup03.New(Sender: TObject);
var s1: string;
begin
  s1:='';
  s1:=s1+sCapacity+sSparselyDensely+ sPer200+sDivision+'͈:'+ inttostr(SpinEditMin.value)+'cc ` '+ inttostr(SpinEditMax.value)+'cc, '+sShow+sUnit;
  LabelHyoudai1.Caption:=s1;

  ransuuhassei;
  reDisplay(sender);
end;

end.
