//\Delphi\Component݌vJ\Thermometer\03\MeasuringCup.pas
unit MeasuringCup;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TTypeUnitKind=(ukJapanese,ukSign);                    //Pʕ\̌^ ulJapanese:u~bgv ulSign:uccv
  TTypeScaleCount=(scFew,scMedium,scLot);               //ڐ\̌^ scFew:,scMedium:炢,scLot:
  TTypeBeakerCapacity=(bc0100,bc0200,bc0500,bc1000);    //r[J[̗eʂ̌^ [cc]

  TMeasuringCup = class(TCustomControl)
  private
    { Private 錾 }
    FLengthScaleShort: byte;                                            // ԒZ̒
    FLengthScaleMedium: byte;                                           // 炢̐̒
    FLengthScaleLong: byte;                                             // Ԓ̒
    FWidthOutline: byte;                                                // E̕
                                                                        //
                                                                        //                  scLot    bc0100  bc0200  bc0500  bc1000
    FWidthScaleShort: byte;                                             // ԒZ̕            1ccԊu   2       2       10
    FWidthScaleMedium: byte;                                            // 炢̐̕          5ccԊu  10      10       50
    FWidthScaleLong: byte;                                              // Ԓ̕           10ccԊu  20      50      100
                                                                        //                                                                                                                           //                   scMedium
                                                                        // ԒZ̕   scMedium Ȃ      5       5      Ȃ
                                                                        // 炢̐̕          2ccԊu  10      10       20
                                                                        // Ԓ̕           10ccԊu  20      50      100
                                                                        //
                                                                        //
                                                                        // ԒZ̕   scFew    Ȃ    Ȃ    Ȃ     Ȃ
                                                                        // 炢̐̕          5ccԊu  10      10       20
                                                                        // Ԓ̕           10ccԊu  20      50      100
                                                                        //
    FROutside:byte;                                                     //Jbv̑ʂ̏o
    FRInside:byte;                                                      //Jbv̑ʂ̓
    FBelowFromTop:byte;                                                 //Jbv̏[̉iől̈ʒuj
    FMargin: byte;                                                      //㉺E̗]
    ValueTextRect: TRect;                                               //ڐ̕`̈
    ValueText:string;                                                   //ڐ̕[x]
    FFontSizecc: byte;                                                  //[cc]̃tHgTCY
    FBeakerColor: TColor;                                               //Ղ̐F
    FLiquidColor: TColor;                                               //_̐F
    FTypeScaleCount:     TTypeScaleCount;                               //ڐ\̌^
    FTypeUnitKind: TTypeUnitKind;                                       //Pʕ\̌^
    FTypeBeakerCApacity: TTypeBeakerCapacity;                           //r[J[̗eʂ̌^ [cc]
    FValue: integer;                                                    //[cc]
    FValueMin:integer;                                                  //ʂ̍ŏl
    FValueMax:integer;                                                  //ʂ̍ől
    FOnChange: TNotifyEvent;
    function  HalfAdjust(x: Extended): Longint;                         //ľܓ
    procedure SetLiquidColor(const Value: TColor);                      //t̂̐Fݒ
    procedure SetBeakerColor(const Value: TColor);                      //Ղ̐Fݒ
    procedure SetFontSizecc(const Value: byte);                         //Ղ̕[cc]̃tHgTCYݒ
    procedure SetMargin(const Value: byte);                             //]̐ݒ
    procedure SetROutside(const Value: byte);                           //Jbv̑ʂ̏o̐ݒ
    procedure SetRInside(const Value: byte);                            //Jbv̑ʂ̓̐ݒ
    procedure SetBelowFromTop(const Value: byte);                       //Jbv̏[̉iől̈ʒuj̐ݒ
    procedure SetTypeScaleCount(const Value: TTypeScaleCount);          //Ղ̍ݕ\̌^ݒ
    procedure SetTypeUnitKind(const Value: TTypeUnitKind);              //Pʕ\̌^ݒ
    procedure SetTypeBeakerCapacity(const Value: TTypeBeakerCapacity);  //r[J[̗eʂ̌^ݒ
    procedure SetValue(const Value: integer);                           //ʐݒ
    procedure SetValueMin(const Value: integer);                        //Value̍őlݒ
    procedure SetValueMax(const Value: integer);                        //Value̍őlݒ
    procedure SetLengthScaleShort(const Value: byte);                   // ԒZ̒ݒ
    procedure SetLengthScaleMedium(const Value: byte);                  // 炢̐̒ݒ
    procedure SetLengthScaleLong(const Value: byte);                    //Ԓ̒ݒ
    procedure SetWidthOutline(const Value: byte);                       //O`̕ݒ
    procedure SetWidthScaleShort(const Value: byte);                    // ԒZ̕ݒ
    procedure SetWidthScaleMedium(const Value: byte);                   // 炢̕ݒ
    procedure SetWidthScaleLong(const Value: byte);                     //Ԓ̕ݒ
  protected
    { Protected 錾 }
    procedure Change; virtual; // OnChangeCxg̃CxgfBXpb`
    procedure Paint; override; //`
    procedure Resize;override; //Rg[̃TCYύX
  public
    { Public 錾 }
    constructor Create(AOwner: TComponent); override;
  published
    { Published 錾 }
    property Color;       // Ղ̔wii`j̐F
    property ParentColor; // eRg[F̌p
    property LiquidColor: TColor read FLiquidColor write SetLiquidColor default clAqua;   // t̂̐F
    property BeakerColor: TColor read FBeakerColor write SetBeakerColor default clBtnFace;// Ձi`j̐F
    property FontSizecc: byte read FFontSizecc write SetFontSizecc default 8;// ڐ̕[]̃tHgTCY
    property Margin: byte read FMargin write SetMargin default 5; //㉺E̗]̕
    property ROutside: byte read FROutside write SetROutside default 10; //Jbv̑ʂ̏o
    property RInside: byte read FRInside write SetRInside default 15; //Jbv̑ʂ̓
    property BelowFromTop: byte read FBelowFromTop write SetBelowFromTop default 10; //Jbv̏[̉iől̈ʒuj
    property TypeScaleCount: TTypeScaleCount read FTypeScaleCount write SetTypeScaleCount default scLot;  //ڐ\̌^
    property TypeUnitKind: TTypeUnitKind read FTypeUnitKind write SetTypeUnitKind default ukJapanese;                //ڐ\̌^
    property TypeBeakerCapacity: TTypeBeakerCapacity read FTypeBeakerCapacity write SetTypeBeakerCapacity default bc0100;//r[J[eʂ̌^
    property Value: integer read FValue write SetValue default 0;               // 
    property ValueMax: integer read FValueMax write SetValueMax default 200;    // t̂ł܂œĂƂ̒liʂ̍őlj
    property ValueMin: integer read FValueMin write SetValueMin default 0;    // t̂ȂƂ̒liʂ̍ŏlj
    property WidthOutline: byte read FWidthOutline write SetWidthOutline default 1;                 //E̕
    property LengthScaleShort: byte read FLengthScaleShort write SetLengthScaleShort;       // ԒZ݂̐̒
    property LengthScaleMedium: byte read FLengthScaleMedium write SetLengthScaleMedium;       // 炢݂̍̐̒
    property LengthScaleLong: byte read FLengthScaleLong write SetLengthScaleLong;       //Ԓ݂̐̒
    property WidthScaleShort: byte read FWidthScaleShort write SetWidthScaleShort default 5;          // ԒZ݂̐̕
    property WidthScaleMedium: byte read FWidthScaleMedium write SetWidthScaleMedium default 3;          // 炢݂̍̐̕
    property WidthScaleLong: byte read FWidthScaleLong write SetWidthScaleLong default 5;          //Ԓ݂̐̕
    property ShowHint;
    property OnChange: TNotifyEvent read FOnChange write FOnChange;
    property OnClick;
  end;

procedure Register;

implementation
var UnitTopY,UnitBottomY,SphereTopY,SphereBottomY,SphereDiameter,LiquidTopY,LiquidBottomY: integer;

function TMeasuringCup.HalfAdjust(x: Extended): Longint;
//ľܓ
begin
  if x >= 0 then Result := Trunc(x + 0.5)
  else Result := Trunc(x - 0.5);
end;

procedure Register;
begin
  RegisterComponents('Samples', [TMeasuringCup]);
end;

constructor TMeasuringCup.Create(AOwner: TComponent);
// RXgN^
begin
  inherited Create(AOwner);
//ʂ鏔̏
  Width:=260;
  Height:=280;
  FMargin:=5;
  FROutside:=10;
  FRInside:=5;
  FBelowFromTop:=10;
  FFontSizecc:= 12;//HalfAdjust(Height /280*12);

  FValueMin:=0;
  FValueMax:=100;
  FValue:=0;
  FWidthOutline:=1;
  FLengthScaleShort:=halfadjust((width-2*fMargin)/5);
  FLengthScaleMedium:=halfadjust((width-2*fMargin)/4);
  FLengthScaleLong:=halfadjust((width-2*fMargin)/3);
  FWidthScaleShort:=1;
  FWidthScaleMedium:=1;
  FWidthScaleLong:=1;
  FLiquidColor:= clAqua;
  FBeakerColor:= clBtnFace;
  FTypeScaleCount:= scLot;
  FTypeUnitKind:= ukJapanese;

  // `ɂ̓`cL}邽߃_uobt@g
  DoubleBuffered := True;
end;

procedure TMeasuringCup.Paint;//`
var i: integer;
  procedure DrawScaleLine(num,LineWidth:integer);
  begin
    canvas.MoveTo(HalfAdjust(width/2-LineWidth/2),   HalfAdjust(LiquidBottomY+ (num- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY)));
    canvas.lineTo(HalfAdjust(Width/2+LineWidth/2),   HalfAdjust(LiquidBottomY+ (num- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY)));
  end;
begin
  //ʂ鏔猈܂l
  UnitTopY:=HalfAdjust(FMargin+FBelowFromTop-FFontSizecc);               //Pʂ̕\ʒu
  UnitBottomY:=UnitTopY+HalfAdjust(FFontSizecc*1.5);
  LiquidBottomY:=  Height-FMargin;
  LiquidTopY:=FMargin+FROutside+FBelowFromTop;

  //t
  canvas.Pen.Color:= FLiquidColor;
  Canvas.Pen.Width:= 1;
  Canvas.Brush.style := bsClear;
  Canvas.Brush.Color := FLiquidColor ;
  Canvas.RectAngle(HalfAdjust(FMargin+ FROutside+1)
                 , HalfAdjust(Height-FMargin)
                 , HalfAdjust(Width- FMargin- FROutside)
                 , HalfAdjust((Height-FMargin+ (FValue- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY- LiquidBottomY))));


  Canvas.Pen.color:=clNavy;
  Canvas.Moveto(HalfAdjust(FMargin+ FROutside+1)
              , HalfAdjust((Height-FMargin+ (FValue- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY- LiquidBottomY))));
  Canvas.Lineto(HalfAdjust(Width- FMargin- FROutside)
              , HalfAdjust((Height-FMargin+ (FValue- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY- LiquidBottomY))));

  canvas.pen.color:=color;
  Canvas.Brush.Color := color;
  Canvas.Polygon([Point(FMargin+FROutside, Height-FMargin-FRInside),
                  Point(FMargin+FROutside, Height-FMargin),
                  Point(FMargin+FROutside+FRInside, Height-FMargin)]);
  Canvas.Polygon([Point(Width-FMargin-FROutside, Height-FMargin-FRInside),
                  Point(width-FMargin-FROutside, Height-FMargin),
                  Point(Width-FMargin-FROutside-FRInside, Height-FMargin)]);

  //Jbv̊O`
  canvas.Pen.Style:= psSolid;
  canvas.Pen.Color:= clBlack;
  canvas.Pen.Width:= FWidthOutLine;
  Canvas.Brush.color := FLiquidColor;
  canvas.Brush.Style:= bsClear;

  canvas.Moveto(HalfAdjust(FMargin),
                HalfAdjust(FMargin));
  Canvas.Lineto (HalfAdjust(FMargin+FROutside),
                 HalfAdjust(FMargin+FROutside));
  Canvas.Lineto (HalfAdjust(FMargin+FROutside),
                 HalfAdjust(Height-Fmargin-FRInside));
  Canvas.Lineto (HalfAdjust(       FMargin+FROutside+FRInside),
                 HalfAdjust(Height-Fmargin));
  Canvas.Lineto (HalfAdjust(Width -Fmargin-FROutside-FRInside),
                 HalfAdjust(Height-Fmargin));
  Canvas.lineto (HalfAdjust(Width- FMargin-FROutside),
                 HalfAdjust(Height-Fmargin-FRInside));
  Canvas.Lineto (HalfAdjust(Width- FMargin-FROutside),
                 HalfAdjust(       FMargin+FROutside));
  Canvas.Lineto (HalfAdjust(Width- FMargin),
                 HalfAdjust(       FMargin));

  //ڐAe[cc]
  canvas.Pen.Color:= clBlack;
  canvas.Pen.Style:= psSolid;
  Canvas.Brush.Style := bsclear;
  Canvas.Font.size:= FFontSizecc;
  Canvas.Font.Color := clWindowText;
  for i:=FValueMin+1 to FValueMax do
  begin
    ValueText := inttostr(i);
    case FTypeBeakerCapacity of
      bc0100:begin
               case FTypeScaleCount of
                 scLot:begin
                         canvas.Pen.Width:=WidthScaleShort;
                         if (i mod 5<>0) then
                           DrawScaleLine(i,FLengthScaleShort);
                         canvas.Pen.Width:=WidthScaleMedium;
                         if ((i mod 5=0) and (i mod 10<>0))then
                         begin
                           DrawScaleLine(i,FLengthScaleMedium);
                         end;
                         canvas.Pen.Width:=WidthScaleLong;
                         if (i mod 10=0) then
                         begin
                           //ڐ
                           DrawScaleLine(i,FLengthScaleLong);
                           //(E)
                           ValueTextRect := Rect(HalfAdjust(Width/2+width/6-FFontSizecc*1),
                                                 HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                 HalfAdjust(Width/2+width/6+FFontSizecc*3),
                                                 HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                           DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                           //()
                           ValueTextRect := Rect(HalfAdjust(width/2-width/6-FFontSizecc*5),
                                                 HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                 HalfAdjust(width/2-width/6-FFontSizecc*1),
                                                 HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                           DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                         end;
                       end;
                 scMedium:
                       begin
                         canvas.Pen.Width:=WidthScaleShort;
                         if FTypeScaleCount= scMedium then
                           if ((i mod 2=0) and (i mod 10<>0)) then
                             DrawScaleLine(i,FLengthScaleShort);
                         if (i mod 10=0) then
                         begin
                           DrawScaleLine(i,FLengthScaleLong);
                           ValueTextRect := Rect(HalfAdjust(Width/2+width/6-FFontSizecc*1),
                                                 HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                 HalfAdjust(Width/2+width/6+FFontSizecc*3),
                                                 HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                           DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                           ValueTextRect := Rect(HalfAdjust(width/2-width/6-FFontSizecc*5),
                                                 HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                 HalfAdjust(width/2-width/6-FFontSizecc*1),
                                                 HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                           DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                         end;
                       end;
                 scFew:begin
                         canvas.Pen.Width:=WidthScaleMedium;
                         if ((i mod 5=0) and (i mod 10<>0))then
                           DrawScaleLine(i,FLengthScaleMedium);
                         if (i mod 10=0) then
                         begin
                           DrawScaleLine(i,FLengthScaleLong);
                           ValueTextRect := Rect(HalfAdjust(Width/2+width/6-FFontSizecc*1),
                                                 HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                 HalfAdjust(Width/2+width/6+FFontSizecc*3),
                                                 HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                           DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                           ValueTextRect := Rect(HalfAdjust(width/2-width/6-FFontSizecc*5),
                                                 HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                 HalfAdjust(width/2-width/6-FFontSizecc*1),
                                                 HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                           DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                         end;
                       end;
               end;
             end;
      bc0200:begin
               if (i mod 2=0) then
                 case FTypeScaleCount of
                   scLot:begin
                           canvas.Pen.Width:=WidthScaleShort;
                           if (i mod 10<>0) then
                             DrawScaleLine(i,FLengthScaleShort);
                           canvas.Pen.Width:=WidthScaleMedium;
                           if ((i mod 10=0) and (i mod 20<>0))then
                             DrawScaleLine(i,FLengthScaleMedium);
                           canvas.Pen.Width:=WidthScaleLong;
                           if (i mod 20=0) then
                           begin
                             DrawScaleLine(i,FLengthScaleLong);
                             ValueTextRect := Rect(HalfAdjust(Width/2+width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(Width/2+width/6+FFontSizecc*3),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                             ValueTextRect := Rect(HalfAdjust(width/2-width/6-FFontSizecc*5),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(width/2-width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                           end;
                         end;
                   scMedium:
                         begin
                           canvas.Pen.Width:=WidthScaleShort;
                           if FTypeScaleCount= scMedium then
                             if ((i mod 4=0) and (i mod 20<>0)) then
                               DrawScaleLine(i,FLengthScaleShort);
                           if (i mod 20=0) then
                           begin
                             DrawScaleLine(i,FLengthScaleLong);
                             ValueTextRect := Rect(HalfAdjust(Width/2+width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(Width/2+width/6+FFontSizecc*3),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                             ValueTextRect := Rect(HalfAdjust(width/2-width/6-FFontSizecc*5),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(width/2-width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                           end;
                         end;
                   scFew:begin
                           canvas.Pen.Width:=WidthScaleMedium;
                           if ((i mod 10=0) and (i mod 20<>0))then
                             DrawScaleLine(i,FLengthScaleMedium);
                           if (i mod 20=0) then
                           begin
                             DrawScaleLine(i,FLengthScaleLong);
                             ValueTextRect := Rect(HalfAdjust(Width/2+width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(Width/2+width/6+FFontSizecc*3),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                             ValueTextRect := Rect(HalfAdjust(width/2-width/6-FFontSizecc*5),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(width/2-width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                           end;
                         end;
                  end;
               end;
      bc0500:begin
               if (i mod 10=0) then
                 case FTypeScaleCount of
                   scLot:begin
                           canvas.Pen.Width:=WidthScaleShort;
                           if (i mod 25<>0) then
                             DrawScaleLine(i,FLengthScaleShort);
                           canvas.Pen.Width:=WidthScaleMedium;
                           if ((i mod 25=0) and (i mod 50<>0))then
                             DrawScaleLine(i,FLengthScaleMedium);
                           canvas.Pen.Width:=WidthScaleLong;
                           if (i mod 50=0) then
                           begin
                             DrawScaleLine(i,FLengthScaleLong);
                             ValueTextRect := Rect(HalfAdjust(Width/2+width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(Width/2+width/6+FFontSizecc*3),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                             ValueTextRect := Rect(HalfAdjust(width/2-width/6-FFontSizecc*5),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(width/2-width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                           end;
                         end;
                   scMedium:
                         begin
                           canvas.Pen.Width:=WidthScaleShort;
                           if FTypeScaleCount= scMedium then
                             if ((i mod 20=0) and (i mod 100<>0)) then
                               DrawScaleLine(i,FLengthScaleShort);
                           if (i mod 100=0) then
                           begin
                             DrawScaleLine(i,FLengthScaleLong);
                             ValueTextRect := Rect(HalfAdjust(Width/2+width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(Width/2+width/6+FFontSizecc*3),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                             ValueTextRect := Rect(HalfAdjust(width/2-width/6-FFontSizecc*5),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(width/2-width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                           end;
                         end;
                   scFew:begin
                           canvas.Pen.Width:=WidthScaleMedium;
                           if ((i mod 50=0))then
                             DrawScaleLine(i,FLengthScaleMedium);
                           if (i mod 100=0) then
                           begin
                             DrawScaleLine(i,FLengthScaleLong);
                             ValueTextRect := Rect(HalfAdjust(Width/2+width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(Width/2+width/6+FFontSizecc*3),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                             ValueTextRect := Rect(HalfAdjust(width/2-width/6-FFontSizecc*5),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(width/2-width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                           end;
                         end;
                 end;
             end;
      bc1000:begin
               if (i mod 10=0) then
                 case FTypeScaleCount of
                   scLot:begin
                           canvas.Pen.Width:=WidthScaleShort;
                           if (i mod 50<>0) then
                             DrawScaleLine(i,FLengthScaleShort);
                           canvas.Pen.Width:=WidthScaleMedium;
                           if ((i mod 50=0) and (i mod 100<>0))then
                             DrawScaleLine(i,FLengthScaleMedium);
                           canvas.Pen.Width:=WidthScaleLong;
                           if (i mod 100=0) then
                           begin
                             DrawScaleLine(i,FLengthScaleLong);
                             ValueTextRect := Rect(HalfAdjust(Width/2+width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(Width/2+width/6+FFontSizecc*3),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                             ValueTextRect := Rect(HalfAdjust(width/2-width/6-FFontSizecc*5),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(width/2-width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                           end;
                         end;
                   scMedium:
                         begin
                           canvas.Pen.Width:=WidthScaleShort;
                           if FTypeScaleCount= scMedium then
                             if ((i mod 20=0) and (i mod 100<>0)) then
                               DrawScaleLine(i,FLengthScaleShort);
                           if (i mod 100=0) then
                           begin
                             DrawScaleLine(i,FLengthScaleLong);
                             ValueTextRect := Rect(HalfAdjust(Width/2+width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(Width/2+width/6+FFontSizecc*3),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                             ValueTextRect := Rect(HalfAdjust(width/2-width/6-FFontSizecc*5),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(width/2-width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                           end;
                         end;
                   scFew:begin
                           canvas.Pen.Width:=WidthScaleMedium;
                           if ((i mod 50=0) and (i mod 100<>0))then
                             DrawScaleLine(i,FLengthScaleMedium);
                           if (i mod 100=0) then
                           begin
                             DrawScaleLine(i,FLengthScaleLong);
                             ValueTextRect := Rect(HalfAdjust(Width/2+width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(Width/2+width/6+FFontSizecc*3),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                             ValueTextRect := Rect(HalfAdjust(width/2-width/6-FFontSizecc*5),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))-FFontSizecc*2/3),
                                                   HalfAdjust(width/2-width/6-FFontSizecc*1),
                                                   HalfAdjust((LiquidBottomY+ (i- FValueMin)/(FValueMax-FValueMin)*(LiquidTopY -LiquidBottomY))+FFontSizecc*2/3));
                             DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_Right);
                           end;
                         end;
                 end;
             end;
    end;
  end;

  // P[cc]
  if FTypeUnitKind= ukSign then ValueText :='     cc     '
                          else ValueText := '~bg';
  //̈ݒ肷iEj
  ValueTextRect := Rect(HalfAdjust(Width/2+width/6-FFontSizecc*2+15), HalfAdjust(UnitTopY)
                      , HalfAdjust(Width/2+width/6+FFontSizecc*4+15), HalfAdjust(UnitBottomY));
  DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_center);
  //̈ݒ肷ij
  ValueTextRect := Rect(HalfAdjust(Width/2-width/6-FFontSizecc*6+15), HalfAdjust(UnitTopY)
                      , HalfAdjust(Width/2-width/6-FFontSizecc*0+15), HalfAdjust(UnitBottomY));
  DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_center);

end;

procedure TMeasuringCup.Change;
// OnChangeCxg̃CxgfBXpb`
begin
  if Assigned(FOnChange) then FOnChange(Self);
end;

procedure TMeasuringCup.Resize;
//Rg[̃TCYύX
begin
  inherited;
//  FFontSizecc:= HalfAdjust(Height /280*12);//  R|[lg̃TCYύXɘAȂ悤ɂĂ
  UnitTopY:=FMargin+10;
  UnitBottomY:=UnitTopY+HalfAdjust(FFontSizecc*1.5);
  SphereBottomY:=Height-FMargin-10;
  SphereTopY:=   SphereBottomY- SphereDiameter;
  LiquidBottomY:=  SphereTopY-20;
  LiquidTopY:=UnitBottomY+20;

  FLengthScaleShort:=halfadjust((width-2*fMargin)/5);
  FLengthScaleMedium:=halfadjust((width-2*fMargin)/4);
  FLengthScaleLong:=halfadjust((width-2*fMargin)/3);

  Invalidate;
  Change;
end;

procedure TMeasuringCup.SetLiquidColor(const Value: TColor);
// t̂̐FύX
var
  NewLiquidColor: Integer;
begin
  NewLiquidColor := Value;
  if FLiquidColor <> NewLiquidColor then
  begin
    FLiquidColor := NewLiquidColor;

    Invalidate;
    Change;
  end;
end;

procedure TMeasuringCup.SetBeakerColor(const Value: TColor);
// wiFύX
var
  NewBeakerColor: Integer;
begin
  NewBeakerColor := Value;
  if FBeakerColor <> NewBeakerColor then
  begin
    FBeakerColor := NewBeakerColor;

    Invalidate;
    Change;
  end;
end;

procedure TMeasuringCup.SetFontSizecc(const Value: byte);
// [cc,cc]̃tHgTCYύX
var
  NewFontSizecc: byte;
begin
  NewFontSizecc := Value;
  if FFontSizecc <> NewFontSizecc then
  begin
    FFontSizecc := NewFontSizecc;

    Invalidate;
    Change;
  end;
end;

procedure TMeasuringCup.SetMargin(const Value: byte);
// ㉺E̗]ύX
var
  NewMargin: byte;
begin
  NewMargin:= Value;
  if Margin <> NewMargin then
  begin
    FMargin:= NewMargin;

    Invalidate;
    Change;
  end;
end;

procedure TMeasuringCup.SetBelowFromTop(const Value: byte);
// Jbv̏[̉iől̈ʒujύX
var
  NewBelowFromTop: byte;
begin
  NewBelowFromTop:= Value;
  if BelowFromTop <> NewBelowFromTop then
  begin
    FBelowFromTop:= NewBelowFromTop;

    Invalidate;
    Change;
  end;
end;

procedure TMeasuringCup.SetROutside(const Value: byte);
// Jbv̑ʂ̏oύX
var
  NewROutside: byte;
begin
  NewROutside:= Value;
  if ROutside <> NewROutside then
  begin
    FROutside:= NewROutside;

    Invalidate;
    Change;
  end;
end;

procedure TMeasuringCup.SetRInside(const Value: byte);
// Jbv̑ʂ̓ύX
var
  NewRInside: byte;
begin
  NewRInside:= Value;
  if RInside <> NewRInside then
  begin
    FRInside:= NewRInside;

    Invalidate;
    Change;
  end;
end;
{
procedure TMeasuringCup.SetTypeCharacterCC(const Value: TTypeCharacterCC);
//Ղ̕[x]\̌^ύX
var
  NewTypeCharacterCC: TTypeCharacterCC;
begin
  NewTypeCharacterCC:= value;
  if TypeCharacterCC <> NewTypeCharacterCC then
  begin
    FTypeCharacterCC := Value;

    Invalidate;
    Change;
  end;
end;
}
procedure TMeasuringCup.SetTypeScaleCount(const Value: TTypeScaleCount);
//ڐ\̌^ύX
var
  NewTypeScaleCount: TTypeScaleCount;
begin
  NewTypeScaleCount:= value;
  if TypeScaleCount <> NewTypeScaleCount then
  begin
    FTypeScaleCount := Value;

    Invalidate;
    Change;
  end;
end;

procedure TMeasuringCup.SetTypeUnitKind(const Value: TTypeUnitKind);
//ڐ̌^ύX
begin
  FTypeUnitKind := Value;
  Invalidate;
  Change;
end;

procedure TMeasuringCup.SetTypeBeakerCapacity(const Value: TTypeBeakerCapacity);
//r[J[eʂ̌^ύX
begin
  case value of
    bc0100: FValueMax:=100;
    bc0200: FValueMax:=200;
    bc0500: FValueMax:=500;
    bc1000: FValueMax:=1000;
  end;
  FTypeBeakerCapacity := Value;
  Invalidate;
  Change;
end;

procedure TMeasuringCup.SetValue(const Value: integer);
// t̗̂ʂύX
var
  NewValue: integer;
begin
  NewValue := Value;
  // VlO̒lƈقȂȂʒuXVOnChangeCxgN
  if (FValue <> NewValue)  then
  begin
    if NewValue>FValueMax then NewValue:= FValueMax;
    if NewValue<FValueMin then NewValue:= FValueMin;

    FValue:= NewValue;

    Invalidate;
    Change;  // OnChangeCxg
  end;
end;

procedure TMeasuringCup.SetWidthOutline(const Value: byte);
// O`̑ύX
var
  NewWidthOutline: byte;
begin
  NewWidthOutline:= Value;
  if WidthOutline <> NewWidthOutline then
  begin
    FWidthOutline:= NewWidthOutline;

    Invalidate;
    Change;
  end;
end;

procedure TMeasuringCup.SetWidthScaleShort(const Value: byte);
// ԒZ݂̐̑ύX
var
  NewWidthScaleShort: byte;
begin
  NewWidthScaleShort:= Value;
  if WidthScaleShort <> NewWidthScaleShort then
  begin
    FWidthScaleShort:= NewWidthScaleShort;

    Invalidate;
    Change;
  end;
end;

procedure TMeasuringCup.SetWidthScaleMedium(const Value: byte);
// 炢݂̍̐̑ύX
var
  NewWidthScaleMedium: byte;
begin
  NewWidthScaleMedium:= Value;
  if WidthScaleMedium <> NewWidthScaleMedium then
  begin
    FWidthScaleMedium:= NewWidthScaleMedium;

    Invalidate;
    Change;
  end;
end;

procedure TMeasuringCup.SetWidthScaleLong(const Value: byte);
// Ԓ݂̍̐̑ύX
var
  NewWidthScaleLong: byte;
begin
  NewWidthScaleLong:= Value;
  if WidthScaleLong <> NewWidthScaleLong then
  begin
    FWidthScaleLong:= NewWidthScaleLong;

    Invalidate;
    Change;
  end;
end;
procedure TMeasuringCup.SetLengthScaleShort(const Value: byte);
// ΂Z݂̐̒ύX
var
  NewLengthScaleShort: byte;
begin
  NewLengthScaleShort:= Value;
  if LengthScaleShort <> NewLengthScaleShort then
  begin
    FLengthScaleShort:= NewLengthScaleShort;

    Invalidate;
    Change;
  end;
end;

procedure TMeasuringCup.SetLengthScaleMedium(const Value: byte);
// 炢̒̐̒ύX
var
  NewLengthScaleMedium: byte;
begin
  NewLengthScaleMedium:= Value;
  if LengthScaleMedium <> NewLengthScaleMedium then
  begin
    FLengthScaleMedium:= NewLengthScaleMedium;

    Invalidate;
    Change;
  end;
end;

procedure TMeasuringCup.SetLengthScaleLong(const Value: byte);
// Ԓ݂̒̑ύX
var
  NewLengthScaleLong: byte;
begin
  NewLengthScaleLong:= Value;
  if LengthScaleLong <> NewLengthScaleLong then
  begin
    FLengthScaleLong:= NewLengthScaleLong;

    Invalidate;
    Change;
  end;
end;

procedure TMeasuringCup.SetValueMax(const Value: integer);
// ől[cc]ύX
begin
  FValueMax := Value;
  if FValueMax>200 then FVAlue:=200;
  if FValueMax <= FValueMin then FValueMin := FValueMax-1;
  if FValue > FValueMax then FValue := FValueMax;
  Invalidate;
  change;
end;

procedure TMeasuringCup.SetValueMin(const Value: integer);
// ől[cc]ύX
begin
  FValueMin := Value;
  if FValueMin<-20 then FValueMin:=-20;
  if FValue < FValueMin then FValue := FValueMin;
  Invalidate;
  change;
end;

end.

